[lfs-dev] Are we ready for LFS-7.5?

Armin K. krejzi at email.com
Sun Mar 2 05:16:54 PST 2014


On 03/02/2014 08:55 AM, Bruce Dubbs wrote:
> Bruce Dubbs wrote:
>> Armin K. wrote:
>>> On 2.3.2014 2:55, akhiezer wrote:
>>
>>>>>> Why should we care when it's a distribution issue? Every "sane" distro
>>
>>>> It's not a 'distribution issue': you're wrong.
>>
>>> It is. Package ships *.la file that depends on another *.la file which
>>> no package ships that the former one depends on. Packaging error.
>>
>> I have to agree with Armin on this point.  An .la file is installed that
>> depends on another file that is not installed.
>>
>> That said, I do think we need to address it in some way.  Even if it's
>> just a note.
>>
>> I took a look at http://sotirov-bg.net/slackpack/pack.cgi?id=1280 and
>> the item 'SlackBuild: Yes, included' indicates to me that it should be
>> present.
>>
>> It's really up to the user to install it though.  We don't want to get
>> into the business on advising how to install a package on a distro.
>>
>> A little googling suggests a check on slackware can be done with:
>>
>> find /var/log/packages -name gmp\*
> 
> I think I have the test for version-check.sh:
> 
> for lib in lib{gmp,mpfr,mpc}.so; do
>    echo $lib: $(if find /usr/lib* -name $lib|
>                 grep -q $lib;then :;else echo not;fi) found
> done
> 
> Gives:
> 
> libgmp.so: found
> libmpfr.so: found
> libmpc.so: found
> 
> or
> 
> libgmp.so: not found
> libmpfr.so: found
> libmpc.so: found
> 
> All of the libraries may not be strictly required, but it errs on the 
> side of completeness.
> 
> If I can get agreement on this, I can add it and make the 7.5 release 
> tomorrow (um, later today).
> 
>    -- Bruce
> 

Again, since it's a distribution specific issue, my recommendation is
that it goes into errata.

-- 
Note: My last name is not Krejzi.



More information about the lfs-dev mailing list